# saga::detail::permissions< Derived > Struct Template Reference

The SAGA permissions interface. More...

`#include <permissions.hpp>`

Inheritance diagram for saga::detail::permissions< Derived >:

[legend]

List of all members.

## Public Member Functions
void | permissions_allow (std::string permission_id, int flag)
| Set a permission flag for this object instance.
void | permissions_deny (std::string permission_id, int flag)
| Remove a permission flag from this object instance.
bool | permissions_check (std::string permission_id, int flag) const
| Check this object instance for a permission flag.
std::string | get_owner () const
| Returns the owner of this object instance.
std::string | get_group () const
| Returns the group of the owner of this object instance.

## Detailed Description

### template<typename Derived>
struct saga::detail::permissions< Derived >

The SAGA permissions interface.

TODO .

## Member Function Documentation

template<typename Derived>

void saga::detail::permissions< Derived >::permissions_allow | ( | std::string | permission_id,
|  | int | flag |
| ) |  |  | `[inline]`

Set a permission flag for this object instance.

Parameters:

  | permission_id | The permission to set the flag for
  | flag | The flag to set

TODO .

template<typename Derived>

void saga::detail::permissions< Derived >::permissions_deny | ( | std::string | permission_id,
|  | int | flag |
| ) |  |  | `[inline]`

Remove a permission flag from this object instance.

Parameters:

  | permission_id | The permission to remove the flag from
  | flag | The flag to remove

TODO .

template<typename Derived>

bool saga::detail::permissions< Derived >::permissions_check | ( | std::string | permission_id,
|  | int | flag |
| ) |  |  | const`[inline]`

Check this object instance for a permission flag.

Parameters:

  | permission_id | The permission to check for a flag
  | flag | The flag to check for

TODO .

template<typename Derived>

std::string saga::detail::permissions< Derived >::get_owner | ( |  | ) | const`[inline]`

Returns the owner of this object instance.

Returns:
  The owner's name

TODO .

template<typename Derived>

std::string saga::detail::permissions< Derived >::get_group | ( |  | ) | const`[inline]`

Returns the group of the owner of this object instance.

Returns:
  The group's name

TODO .

The documentation for this struct was generated from the following file:

- detail/permissions.hpp